## geoproof 0.5beta-svn106uk3

=== Makefile ===
#!/usr/bin/make -f

# $Id: Makefile.in,v 1.21 2005/11/30 14:52:36 jnarboux Exp $

YFLAGS=-v

ICONSVG =   icons/anglebisector_svg.ml \
	icons/rooster_svg.ml \
	icons/lightbulb_svg.ml \
	icons/filesaveas_svg.ml \
	icons/perpendicular_svg.ml \
	icons/testcollinear_svg.ml \
	icons/angle_svg.ml \
	icons/filesave_svg.ml \
	icons/pointcircle_svg.ml \
	icons/testeqpoints_svg.ml \
	icons/area_svg.ml \
	icons/grid_svg.ml \
	icons/pointline_svg.ml \
	icons/testleftturn_svg.ml \
	icons/between_svg.ml \
	icons/intersectionCircles_svg.ml \
	icons/point_svg.ml \
	icons/point_coords_svg.ml \
	icons/testparallel_svg.ml \
	icons/centralsymmetry_svg.ml \
	icons/intersection_svg.ml \
	icons/preferences_svg.ml \
	icons/testperpendicular_svg.ml \
	icons/circlebcp_svg.ml \
	icons/labelpoint_svg.ml \
	icons/redo_svg.ml \
	icons/translation_svg.ml \
	icons/circlebtp_svg.ml \
	icons/label_svg.ml \
	icons/revert_svg.ml \
	icons/trash_svg.ml \
	icons/circlediam_svg.ml \
	icons/launch_svg.ml \
	icons/save_as_svg.ml \
	icons/undo_svg.ml \
	icons/circlelineintersection_svg.ml \
	icons/left_turn_svg.ml \
	icons/save_svg.ml \
	icons/vector_svg.ml \
	icons/congruent_angles_svg.ml \
	icons/line_svg.ml \
	icons/half_line_svg.ml \
	icons/segment_svg.ml \
	icons/viewmag1_svg.ml \
	icons/congruent_segments_svg.ml \
	icons/mediatrice_svg.ml \
	icons/select_svg.ml \
	icons/viewmagfit_svg.ml \
	icons/distance_svg.ml \
	icons/midpoint_svg.ml \
	icons/stock_close_svg.ml \
	icons/viewmagminus_svg.ml \
	icons/geoproof_svg.ml \
	icons/mirrorpoint_svg.ml \
	icons/stock_directory_open_svg.ml \
	icons/viewmagplus_svg.ml \
	icons/edit_svg.ml \
	icons/move_svg.ml \
	icons/stock_ok_svg.ml \
	icons/window_fullscreen_svg.ml \
	icons/eraser_svg.ml \
	icons/new_svg.ml \
	icons/stock_stop_svg.ml \
	icons/filenew_svg.ml \
	icons/open_svg.ml \
	icons/stop_svg.ml \
	icons/fileopen_svg.ml \
	icons/parallel_svg.ml \
	icons/testbetween_svg.ml \
	icons/apropos_svg.ml \
	icons/quit_svg.ml \
	icons/pointing_finger_svg.ml 

ML = debug.ml \
	autoconf.ml \
	font.ml \
	i18n.ml \
	types_de_base.ml \
	couleurs.ml \
	lib/fifo.mli lib/fifo.ml \
	lib/cdk/printf2.mli lib/cdk/printf2.ml \
	lib/cdk/printexc2.mli lib/cdk/printexc2.ml \
	lib/cdk/unix2.ml \
	lib/cdk/genlex2.mli lib/cdk/genlex2.ml \
	lib/cdk/filepath.mli lib/cdk/filepath.ml \
	lib/cdk/string2.mli lib/cdk/string2.ml \
	lib/cdk/filename2.mli lib/cdk/filename2.ml \
	lib/cdk/list2.mli lib/cdk/list2.ml \
	lib/intmap.mli lib/intmap.ml \
	lib/options.ml \
	icons.ml \
	optionsdeconfiguration.ml \
	arbitrary_precision.ml \
	geometric_functions.ml \
	ast_expressions.ml \
	repere.ml \
	fonctions.ml \
	couche.ml \
	objets_graphiques.ml \
	objets_repere.ml \
	document_managment.ml \
	construction.ml \
	parser_expressions.mly \
	lexer_expressions.mll \
	typing_expressions.ml \
	evaluation_expressions.ml \
	mark_management.ml \
	studied_facts.ml \
	object_studied_fact.ml \
	objets_texte.ml \
	objets_point.ml \
	objets_texte_clique.ml \
	objets_texte_point.ml \
	objets_test_congruent_segments.ml \
	objets_point_clique.ml \
	objets_point_milieu.ml \
	objects_point_left_turn.ml \
	objects_point_between.ml \
	objects_segment_marks.ml \
	objets_ligne.ml \
	objets_droite.ml \
	objets_segment.ml \
	objets_demi_droite.ml \
	objets_point_sur_droite.ml \
	objets_cercle.ml \
	objets_point_sur_cercle.ml \
	objets_intersection_droites.ml \
	objets_intersection_cercle_droite.ml \
	objets_intersection_cercles.ml \
	objets_droite_deux_points.ml \
	objets_droite_mediatrice.ml \
	objets_droite_bissectrice.ml \
	objets_segment_deux_points.ml \
	objets_demi_droite_deux_points.ml \
	objets_vecteur.ml \
	objets_vecteur_deux_points.ml \
	objets_droite_orthogonale.ml \
	objets_droite_parallele.ml \
	objets_cercle_centre_point.ml \
	objets_cercle_trois_points.ml \
	objets_cercle_diametre.ml \
	objets_point_transforme.ml \
	objets_droite_transforme.ml \
	objets_cercle_transforme.ml \
	createur_de_noms.ml \
	analyse_semantique_langue_naturelle.ml \
	parser_langue_naturelle.mly \
	lexer_langue_naturelle.mll \
	parser_logic.mly \
	lexer_logic.mll \
	output_fonctions.ml \
	output_natural_language.ml \
	output_car.ml \
	output_kig.ml \
	output_coq.ml \
	output_drg.ml \
	output_eukleides.ml \
	output_pst_eucl.ml \
	input_langue_naturelle.ml \
	input_exceptions.ml \
	input_xml_CaR.ml \
	input_xml_Kig.ml \
	input_xml_Coq.ml \
	input_xml_Drg.ml \
	input_xml_constructive_theorems.ml \
	input_xml.ml \
	theorems.ml \
	coq_proofs.ml \
	automatic_proofs.ml \
	apropos.ml \
	input_coords.ml \
	document_gui.ml \
	interface.ml \
	window_expressions.ml \
	automate.ml \
	main.ml


SOURCES = $(ICONSVG) $(ML) $(MLI)

DATE=$(shell date "+%Y-%m-%d")
TAG=-$(DATE)
BASENAME=geoproof
VERSION=$(shell date +%d%m%Y)

RESULT  = $(BASENAME)

INCDIRS = +cairo
INCDIRS += +lablgtk2 
INCDIRS += +xml-light
INCDIRS += +gmp +site-lib/gmp #gmp is needed only when creal is used and mlgmp is packages separetly
INCDIRS += +creal #creal is optional

THREADS = yes

LIBS = nums xml-light lablrsvg
LIBS += gmp #gmp is needed only when creal is used and mlgmp is packages separetly
LIBS += creal #creal is optional

#OCAMLDOCFLAGS = -I $(OCAML_DEFAULT_DIRS) -I .

OCAMLBLDFLAGS = lablgtk.cma cairo.cma cairo_lablgtk.cma gtkInit.cmo gtkThread.cmo
OCAMLNLDFLAGS = lablgtk.cmxa cairo.cmxa cairo_lablgtk.cmxa gtkInit.cmx gtkThread.cmx 

#MINGW = yes

# where to install the binaries
prefix=/usr
exec_prefix=${prefix}
BINDIR=${exec_prefix}/bin

OCAMLC = ocamlc
OCAMLOPT = ocamlopt
OCAMLLEX = ocamllex
OCAMLYACC= ocamlyacc

# GeoProof / Local configuration

INCDIRS+= ./atp
LIBDIRS+= ./atp 
LIBS+= libATP

#if test "$MINGW" = "1"; then
#   echo "Compiling win32 resource file"
#   windres -o resfile.o config/ressource.rc
#fi


all: opt

byte: atp-byte byte-code

opt: atp-opt native-code

atp-best:
	cd atp ; make opt

atp-byte:
	cd atp ; make byte

atp-opt:
	cd atp ; make opt

-include OCamlMakefile

install:
	cp $(RESULT) $(BINDIR)/$(BASENAME)

graphdot:
	ocamldep *.mli *.ml > geoproof-graph.dep
	ocamldot geoproof-graph.dep > geoproof-graph.dot
	# to display the dep graph, use :
	# dotty atp.dot 

NSIS = "/cygdrive/c/Program Files/NSIS/makensis.exe"

windows-installer:
	cp $(RESULT) $(BASENAME)
	$(NSIS) distrib/windows/geoproof.nsi

GNA_USER=jnarboux
#edit if you need to upload

upload-installer:
	scp distrib/windows/GeoProof*win32_installer.exe $(GNA_USER)@download.gna.org:/upload/geoproof/windows/

source-snapshot:
	mkdir sandbox
	svn co http://svn.gna.org/svn/geoproof/trunk sandbox/geoproof
	tar cv --exclude-from files_to_exclude sandbox/geoproof/ > geoproof-$(VERSION).tar
	bzip2 geoproof-$(VERSION).tar

upload-snapshot:
	scp geoproof-$(VERSION).tar.bz2 $(GNA_USER)@download.gna.org:/upload/geoproof/sources

rpm:
	cp geoproof-$(VERSION).tar.bz2 ~/rpm/SOURCES/

#ARCH=i586
#	mkdir -p ~/rpm/{BUILD,RPMS/$ARCH,RPMS/noarch,SOURCES,SRPMS,SPECS,tmp}

=== atp/Makefile ===
#!/usr/bin/make -f

# $Id: Makefile,v 1.5 2005/10/30 21:47:09 jnarboux Exp $ 
# Building Automatic Theorem Prover (ATP)

SOURCES=

SOURCES+=lib.ml 
SOURCES+=intro.ml 
SOURCES+=formulas.ml 
SOURCES+=fol.ml 
SOURCES+=order.ml 
SOURCES+=cooper.ml  
SOURCES+=prop.ml
SOURCES+=grobner.ml  
SOURCES+=geom.ml   

LIBS=nums 
OCAMLBLDFLAGS =
OCAMLNLDFLAGS =

RESULT=libATP

all: byte opt

byte: bcl

opt: ncl

graphdot:
	ocamldep *.mli *.ml > atp-graph.dep
	ocamldot atp-graph.dep > atp-graph.dot
	# to display the dep graph, use :
	# dotty atp.dot 

latotale: clean all graphdot


include ./OCamlMakefile

include ./Makefile.odoc

=== doc/Makefile ===
FILE=geoproof-manual-fr


include $(HOME)/texmf/Makefile.source

CLASS=article

=== icons/Makefile ===
#!/usr/bin/make -f

# $Id: Makefile,v 1.3 2005/10/29 08:48:22 gmariano Exp $

#include OCamlMakefile

TOOLS=../tools

SVGCONVERT=@$(TOOLS)/svg_converter


ICONS=$(wildcard *.svg)


INCDIRS = +lablrsvg  +lablgtk2 #+gmp # +gettext +gettext-stub 

LIBS = lablrsvg  #gmp #gettextBase gettext-stub

SOURCES :=  ../debug.ml icons.ml $(ICONS:.svg=.ml)

RESULT=icons

all: convert $(RESULT)

convert: $(SOURCES)

include ./OCamlMakefile

.SUFFIXES: .ml .svg .cmx

.svg.ml:
	$(SVGCONVERT) $<

=== tools/Makefile ===
SOURCES =   ../lib/cdk/string2.mli ../lib/cdk/string2.ml \
	    ../lib/cdk/filename2.mli ../lib/cdk/filename2.ml \
	    svg_converter.ml
RESULT = svg_converter
PREFIX=$(DESTDIR)/usr
BINDIR=$(PREFIX)/bin
all: native-code
-include OCamlMakefile

install:
	cp $(RESULT) $(BINDIR)/

=== lib/libgettext-ocaml-0.1/Makefile ===
all:
	cd src && $(MAKE) all

install:
	cd src && $(MAKE) install-lib

uninstall:
	cd src && $(MAKE) uninstall-lib
	
clean:
	cd src && $(MAKE) clean
	cd test && $(MAKE) clean

distclean:
	@if [ -e TopMakefile ]; then \
	 cd src && $(MAKE) clean; \
	 cd test && $(MAKE) clean; \
	fi
	$(RM) config.* TopMakefile
	$(RM) -r .libs
	$(RM) src/.depends
	$(RM) test/.depends

=== lib/libgettext-ocaml-0.1/src/Makefile ===
NAME = camlgettext
CMO = camlgettext.cmo 
LIBRARY = true
REQUIRES =
PREDICATES =
INSTALLIB = camlgettext.cmi\
 camlgettext.cmxa\
 camlgettext.cma\
 pa_gettext.cma\
 camlgettext.a\
 dllcamlgettext.so\
 libcamlgettext.a\
 META
STUBSOBJS = -L/usr/lib/ocaml/ -lcamlidl

all: pa_gettext.cma
include ../TopMakefile

clean::
	rm -f camlgettext.ml camlgettext.mli camlgettext.h 
	rm -f dll*.so lib*.a
	rm -f camlgettext_stubs.c camlgettext_stubs.o
	rm -f pa_gettext.cma pa_gettext.ml

camlgettext.cmo: camlgettext.cmi
camlgettext.cmx: camlgettext.cmi
pa_gettext.cma: pa_gettext.ml
	$(OCAMLC) -I +camlp4 -a -o pa_gettext.cma pa_gettext.ml
pa_gettext.ml: pa_gettext.ml4
	$(OCAMLP4)  pa_o.cmo pa_extend.cmo q_MLast.cmo \
	pa_extend.cmo q_MLast.cmo pr_o.cmo -impl $< > $@

=== lib/libgettext-ocaml-0.1/test/Makefile ===
NAME = test
CMO = test.cmo
REQUIRES = camlgettext unix
PREDICATES =
SYNTAX = camlp4o
include ../TopMakefile

clean::
	$(RM) $(NAME).pot

ifdef SYNTAX
PA_CMO = `$(OCAMLFIND) query $(REQUIRES) -predicates "syntax preprocessor $(SYNTAX)" -a-format -recursive -separator ' '`
PA_INC = `$(OCAMLFIND) query $(REQUIRES) -predicates "syntax preprocessor $(SYNTAX)" -i-format -recursive -separator ' '`

$(NAME).pot: $(CMO:.cmo=.ml)
	$(RM) $(NAME).pot
	touch $(NAME).pot
	@for i in *.ml; do \
	 $(OCAMLP4) $(PA_INC) $(PA_CMO) pr_o.cmo $$i | xgettext -j -L Ocaml -o $(NAME).pot -;\
	done
else
$(NAME).pot: $(CMO:.cmo=.ml)
	$(RM) $(NAME).pot
	xgettext -j -o $(NAME).pot $<
endif

=== debian/changelog ===
geoproof (0.5beta-svn106uk3) unstable; urgency=low

  * depend on coq

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Tue, 23 Oct 2012 06:52:15 +0000

geoproof (0.5beta-svn106uk2) unstable; urgency=low

  * fix rules file

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 22 Oct 2012 21:34:00 +0000

geoproof (0.5beta-svn106uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <albrecht.gebhardt@uni-klu.ac.at>  Mon, 22 Oct 2012 07:25:16 +0000

drgeocaml (0.4-1) unstable; urgency=low

  * Initial release: 

 -- Georges Mariano <mariano@alix>  Mon, 31 Oct 2005 11:04:01 +0100

=== lib/libgettext-ocaml-0.1/debian/changelog ===
libgettext-ocaml (0.1) unstable; urgency=low

  * New uptream version

 -- Sylvain LE GALL <sylvain.le-gall@polytechnique.org>  Fri, 18 Jul 2003 22:32:14 +0200

=== debian/control ===
Source: geoproof
Section: math
Priority: optional
Maintainer: A. Gebhardt <agebhard@aau.at>
Build-Depends: debhelper (>= 4.0.0), ocaml, libcairo-ocaml-dev, librsvg2-dev, libxml-light-ocaml-dev, liblablgtk2-gnome-ocaml-dev, libcreal-ocaml-dev
Standards-Version: 3.6.1

Package: geoproof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, coq
Description: GeoProof, an interactive geometry software with proof related features
 This program is an interactive geometry software similar to Cabri
 Geometre,GeoPlan, Kig... 
 It contains automated theorem proving features.
 Interactive theorem proving is in development.
 To use the features related to Coq, you need Coq version 8.1 beta or later.

=== distrib/debian/control ===
Source: drgeocaml
Section: math
Priority: optional
Maintainer: GeOCaml Devel <geocaml-devel@gna.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: drgeocaml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GeOCaml, an interactive geometry tool.
 The aim of GeOCaml is to provide a tool allowing us to handle easily euclidian geometry. 
 The code is written in OCaml, a high functional language developped at INRIA and XML & XSLT are used to manage data.

=== lib/libgettext-ocaml-0.1/debian/control ===
Source: libgettext-ocaml
Section: devel
Priority: optional
Maintainer: Sylvain LE GALL <sylvain.le-gall@polytechnique.org> 
Build-Depends: ocaml-3.06-1, debhelper, ocaml-findlib, camlidl, chrpath
Standards-Version: 3.5.10

Package: libgettext-ocaml
Architecture: any
Depends: ${shlibs:Depends},  ocaml-base-3.06-1
Description: Gettext library for Ocaml
 This library is used to provide gettext support to ocaml
 program.

Package: libgettext-ocaml-dev
Architecture: any
Depends: ${shlibs:Depends}, libgettext-ocaml (=0.1), ocaml-3.06-1
Description: Gettext library for Ocaml ( development files )
 This library is used to provide gettext support to ocaml
 program.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	./configure --prefix=/usr
	$(MAKE) 
	#docbook-to-man debian/geoproof.sgml > geoproof.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	$(MAKE) -C atp clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/geoproof.
	mkdir -p $(CURDIR)/debian/geoproof/usr/bin
	$(MAKE) install DESTDIR=$(CURDIR)/debian/geoproof BINDIR=$(CURDIR)/debian/geoproof/usr/bin
	#cp geoproof $(CURDIR)/debian/geoproof/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== distrib/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd .. ; $(MAKE) all
	#docbook-to-man debian/geoproof.sgml > geoproof.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-cd .. ; $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/geoproof.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/geoproof


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== lib/libgettext-ocaml-0.1/debian/rules ===
#!/usr/bin/make -f
export DH_COMPAT=4

OCAML_VERSION=3.06

config.status: configure
	dh_testdir
	./configure  

build-arch: config.status build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE) all
	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp: 
	dh_testdir

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp 
	$(MAKE) distclean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	cp -R .libs/camlgettext $(CURDIR)/debian/libgettext-ocaml-dev/usr/lib/ocaml/$(OCAML_VERSION)/
	rm $(CURDIR)/debian/libgettext-ocaml-dev/usr/lib/ocaml/$(OCAML_VERSION)/camlgettext/*.so
	cp .libs/camlgettext/*.so $(CURDIR)/debian/libgettext-ocaml/usr/lib/ocaml/$(OCAML_VERSION)/stublibs/
	chrpath -d $(CURDIR)/debian/libgettext-ocaml/usr/lib/ocaml/$(OCAML_VERSION)/stublibs/*.so

install-indep: DH_OPTIONS=
install-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

binary-indep: build install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
.PHONY: build clean binary-indep binary-arch binary install
